import { beforeAll, afterEach, afterAll } from "vitest";
import { server } from "./mocks/msw/server";

beforeAll(() => {
  // Enable the mocking in tests.
  server.listen({ onUnhandledRequest: "warn" });
});

afterEach(() => {
  // Reset any runtime handlers tests may use.
  server.resetHandlers();
});

afterAll(() => {
  // Clean up once the tests are done.
  server.close();
});
